@font-face {
    font-family: "Happyline";
    src: url("static/HAPPYLINE.ttf") format("opentype");
}

html, body {
    margin: 0;
    padding: 0;
    height: 100%;
    overflow: hidden;
}

body {
    background-image: url("static/background.png");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;
    font-family: Arial, sans-serif;
    text-align: center;
    color: #021460;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    padding-top: 20px;
    align-items: center;
    font-size: 16px;
    height: 100vh;
    width: 100vw;

}


#jellyfish-container {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    overflow: hidden;
    z-index: 0;
}

.jellyfish {
    position: absolute;
    bottom: -100px;
    width: 60px;
    opacity: 0.8;
    animation-name: swimUp;
    animation-timing-function: linear;
    z-index: 0;
}

@keyframes swimUp {
    from {
        transform: translateY(0);
    }
    to {
        transform: translateY(-120vh);
    }
}



#fish-info {
    font-family: "Happyline", sans-serif;
    text-align: center;
    max-width: 90vw;
    width: 500px;
    margin: 0;
    padding: 10px 20px;
    z-index: 2;
    position: relative;
    font-size: clamp(25px, 7vw, 40px);
}

#fish-info h2,
#fish-info h3,
#fish-info p {
    margin: 6px 0;
    line-height: 1.2;
}

img {
    width: clamp(200px, 30vw, 400px);
    height: auto;
    border-radius: 10px;
    margin: 10px 0;
}

button {
    padding: 10px 20px;
    font-size: clamp(14px, 2vw, 18px);
    margin: 10px;
    border-radius: 8px;
    border: none;
    cursor: pointer;
}

#title-image {
    width: clamp(300px, 30vw, 900px);
    height: auto;
    margin-bottom: 10px;
    z-index: 2;
    position: relative;
    margin: 0;
}

#music-player {
    position: fixed;
    bottom: 10px;
    right: 300px;
    z-index: 5;
    cursor: pointer;
}

#music-player img {
    width: 400px;
    height: auto;
    user-select: none;
    pointer-events: none;
}

#music-player:active img {
    transform: scale(0.95)
}

#music-player:hover img {
    transform: scale(1.05)
}